#ifndef ENGINE_ENTITY_H
#define ENGINE_ENTITY_H

#include "State.h"
#include "ForwardingState.h"
#include "InitialState.h"
#include "ExitState.h"

class EngineEntity
{
public:
    explicit EngineEntity(void);
    virtual ~EngineEntity(void);

    friend class State;
    void changeState(State*);
    char* getStateCapabilities();
private:
    State* _state;
};

#endif